<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php'); // checks session and user id; die() if not admin
require_once(__DIR__ . '/../translations/admin_translations/trans-process-settings.php');

// post vars
$admin_email              = $_POST['admin_email'];
$dev_email                = $_POST['dev_email'];
$smtp_server              = $_POST['smtp_server'];
$smtp_user                = $_POST['smtp_user'];
$smtp_pass                = $_POST['smtp_pass'];
$smtp_port                = $_POST['smtp_port'];
$google_key               = $_POST['google_key'];
$items_per_page           = $_POST['items_per_page'];
$site_name                = $_POST['site_name'];
$country_name             = $_POST['country_name'];
$default_country_code     = $_POST['default_country_code'];
$default_city_slug        = $_POST['default_city_slug'];
$default_loc_id           = $_POST['default_loc_id'];
$timezone                 = $_POST['timezone'];
$default_lat              = $_POST['default_lat'];
$default_lng              = $_POST['default_lng'];
$html_lang                = $_POST['html_lang'];
$max_pics                 = $_POST['max_pics'];
$paypal_merchant_id       = $_POST['paypal_merchant_id'];
$paypal_bn                = $_POST['paypal_bn'];
$paypal_checkout_logo_url = $_POST['paypal_checkout_logo_url'];
$currency_code            = $_POST['currency_code'];
$currency_symbol          = $_POST['currency_symbol'];
$paypal_locale            = $_POST['paypal_locale'];
$notify_url               = $_POST['notify_url'];
$paypal_mode              = $_POST['paypal_mode'];
$paypal_sandbox_merch_id  = $_POST['paypal_sandbox_merch_id'];

// trim
$admin_email              = trim($admin_email);
$dev_email                = trim($dev_email);
$smtp_server              = trim($smtp_server);
$smtp_user                = trim($smtp_user);
$smtp_pass                = trim($smtp_pass);
$smtp_port                = trim($smtp_port);
$google_key               = trim($google_key);
$items_per_page           = trim($items_per_page);
$site_name                = trim($site_name);
$country_name             = trim($country_name);
$default_country_code     = trim($default_country_code);
$default_city_slug        = trim($default_city_slug);
$default_loc_id           = trim($default_loc_id);
$timezone                 = trim($timezone);
$default_lat              = trim($default_lat);
$default_lng              = trim($default_lng);
$html_lang                = trim($html_lang);
$max_pics                 = trim($max_pics);
$paypal_merchant_id       = trim($paypal_merchant_id);
$paypal_bn                = trim($paypal_bn);
$paypal_checkout_logo_url = trim($paypal_checkout_logo_url);
$currency_code            = trim($currency_code);
$currency_symbol          = trim($currency_symbol);
$paypal_locale            = trim($paypal_locale);
$notify_url               = trim($notify_url);
$paypal_mode              = trim($paypal_mode);
$paypal_sandbox_merch_id  = trim($paypal_sandbox_merch_id);

//defaults
$admin_email              = (!empty($admin_email             )) ? $admin_email              : 'admin@email.com';
$dev_email                = (!empty($dev_email               )) ? $dev_email                : 'dev@email.com';
$smtp_server              = (!empty($smtp_server             )) ? $smtp_server              : '';
$smtp_user                = (!empty($smtp_user               )) ? $smtp_user                : '';
$smtp_pass                = (!empty($smtp_pass               )) ? $smtp_pass                : '';
$smtp_port                = (!empty($smtp_port               )) ? $smtp_port                : '';
$google_key               = (!empty($google_key              )) ? $google_key               : '';
$items_per_page           = (!empty($items_per_page          )) ? $items_per_page           : '30';
$site_name                = (!empty($site_name               )) ? $site_name                : 'Business Directory';
$country_name             = (!empty($country_name            )) ? $country_name             : 'America';
$default_country_code     = (!empty($default_country_code    )) ? $default_country_code     : 'us';
$default_city_slug        = (!empty($default_city_slug       )) ? $default_city_slug        : 'city-slug';
$default_loc_id           = (!empty($default_loc_id          )) ? $default_loc_id           : '1';
$timezone                 = (!empty($timezone                )) ? $timezone                 : 'America/Los_Angeles';
$default_lat              = (!empty($default_lat             )) ? $default_lat              : '37.3002752813443';
$default_lng              = (!empty($default_lng             )) ? $default_lng              : '-94.482421875';
$html_lang                = (!empty($html_lang               )) ? $html_lang                : 'en';
$max_pics                 = (!empty($max_pics                )) ? $max_pics                 : '15';
$paypal_merchant_id       = (!empty($paypal_merchant_id      )) ? $paypal_merchant_id       : '';
$paypal_bn                = (!empty($paypal_bn               )) ? $paypal_bn                : '';
$paypal_checkout_logo_url = (!empty($paypal_checkout_logo_url)) ? $paypal_checkout_logo_url : '';
$currency_code            = (!empty($currency_code           )) ? $currency_code            : 'USD';
$currency_symbol          = (!empty($currency_symbol         )) ? $currency_symbol          : '$';
$paypal_locale            = (!empty($paypal_locale           )) ? $paypal_locale            : 'US';
$notify_url               = (!empty($notify_url              )) ? $notify_url               : "$baseurl/ipn-handler.php";
$paypal_mode              = ( isset($paypal_mode             )) ? $paypal_mode              : 1;
$paypal_sandbox_merch_id  = (!empty($paypal_sandbox_merch_id )) ? $paypal_sandbox_merch_id  : '';

// cast type
$smtp_port      = (int)$smtp_port;
$items_per_page = (int)$items_per_page;
$default_loc_id = (int)$default_loc_id;
$max_pics       = (int)$max_pics;

try {
	$conn->beginTransaction();

	// first delete all
	$query = "DELETE FROM config;";
	$stmt = $conn->prepare($query);
	$stmt->execute();

	// reinsert values
	$query = "INSERT INTO config(id, type, property, value) VALUES
		(1, 'email',   'admin_email',              :admin_email),
		(2, 'email',   'dev_email',                :dev_email),
		(3, 'email',   'smtp_server',              :smtp_server),
		(4, 'email',   'smtp_user',                :smtp_user),
		(5, 'email',   'smtp_pass',                :smtp_pass),
		(6, 'email',   'smtp_port',                :smtp_port),
		(7, 'api',     'google_key',               :google_key),
		(8, 'display', 'items_per_page',           :items_per_page),
		(9, 'display', 'site_name',                :site_name),
		(10, 'display', 'country_name',             :country_name),
		(11, 'display', 'default_country_code',     :default_country_code),
		(12, 'display', 'default_city_slug',        :default_city_slug),
		(13, 'display', 'default_loc_id',           :default_loc_id),
		(14, 'display', 'timezone',                 :timezone),
		(15, 'maps',    'default_lat',              :default_lat),
		(16, 'maps',    'default_lng',              :default_lng),
		(17, 'display', 'html_lang',                :html_lang),
		(18, 'display', 'max_pics',                 :max_pics),
		(19, 'display', 'paypal_merchant_id',       :paypal_merchant_id),
		(20, 'display', 'paypal_bn',                :paypal_bn),
		(21, 'display', 'paypal_checkout_logo_url', :paypal_checkout_logo_url),
		(22, 'payment', 'currency_code',            :currency_code),
		(23, 'payment', 'currency_symbol',          :currency_symbol),
		(24, 'payment', 'paypal_locale',            :paypal_locale),
		(25, 'payment', 'notify_url',               :notify_url),
		(26, 'payment', 'paypal_mode',              :paypal_mode),
		(27, 'payment', 'paypal_sandbox_merch_id',  :paypal_sandbox_merch_id)
		";

	$stmt = $conn->prepare($query);
	$stmt->bindValue(':admin_email'             , $admin_email);
	$stmt->bindValue(':dev_email'               , $dev_email);
	$stmt->bindValue(':smtp_server'             , $smtp_server);
	$stmt->bindValue(':smtp_user'               , $smtp_user);
	$stmt->bindValue(':smtp_pass'               , $smtp_pass);
	$stmt->bindValue(':smtp_port'               , $smtp_port);
	$stmt->bindValue(':google_key'              , $google_key);
	$stmt->bindValue(':items_per_page'          , $items_per_page);
	$stmt->bindValue(':site_name'               , $site_name);
	$stmt->bindValue(':country_name'            , $country_name);
	$stmt->bindValue(':default_country_code'    , $default_country_code);
	$stmt->bindValue(':default_city_slug'       , $default_city_slug);
	$stmt->bindValue(':default_loc_id'          , $default_loc_id);
	$stmt->bindValue(':timezone'                , $timezone);
	$stmt->bindValue(':default_lat'             , $default_lat);
	$stmt->bindValue(':default_lng'             , $default_lng);
	$stmt->bindValue(':html_lang'               , $html_lang);
	$stmt->bindValue(':max_pics'                , $max_pics);
	$stmt->bindValue(':paypal_merchant_id'      , $paypal_merchant_id);
	$stmt->bindValue(':paypal_bn'               , $paypal_bn);
	$stmt->bindValue(':paypal_checkout_logo_url', $paypal_checkout_logo_url);
	$stmt->bindValue(':currency_code'           , $currency_code);
	$stmt->bindValue(':currency_symbol'         , $currency_symbol);
	$stmt->bindValue(':paypal_locale'           , $paypal_locale);
	$stmt->bindValue(':notify_url'              , $notify_url);
	$stmt->bindValue(':paypal_mode'             , $paypal_mode);
	$stmt->bindValue(':paypal_sandbox_merch_id' , $paypal_sandbox_merch_id);
	$stmt->execute();

	$conn->commit();
	$result_message = $txt_update_success;
}
catch(PDOException $e) {
	$conn->rollBack();
	$result_message =  $e->getMessage();
}
?>
<!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang; ?>" > <![endif]-->
<html lang="<?= $html_lang; ?>" >
<head>
<title><?= $txt_html_title; ?> - <?= $site_name; ?></title>
<?php require_once(__DIR__ . '/_admin_html_head.php'); ?>
<style>

</style>
</head>
<body>
<?php require_once(__DIR__ . '/_admin_header.php'); ?>

<div class="wrapper">
	<div class="menu-box">
		<?php require_once(__DIR__ . '/_admin_menu.php'); ?>
	</div>
	<div class="main-container">
		<h2><span><?= $txt_main_title; ?></span></h2>

		<div class="padding">
			<p><?= $result_message; ?> </p>
		</div><!-- .padding -->
	</div><!-- .main-container -->

	<div class="clear"></div>
</div><!-- .wrapper -->
<?php require_once(__DIR__ . '/_admin_footer.php'); ?>

</body>
</html>